<form [formGroup]="statesGroup">
  <div formArrayName="states">
    <app-state-inputs
      *ngFor="let state of statesArray.controls; let i = index"
      [formControlName]="i"
    >
    </app-state-inputs>
  </div>
</form>

<pre>{{ statesGroup.value | json }}</pre>
